Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Gerd Möllmann <[email-masked]>
Date: Wed, 31 Aug 2022 13:54:59 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Wed, 31 Aug 2022 09:02:07 +0200
>> 
>> "Good news":
>
> Indeed.
>
>> $TERM seems to be "alacritty" by default, which has different
>> capabilities than xterm-256color.  But the flickering is also there with
>> xterm-256color.
>> 
>> And I double-checked with Terminal.app again: no flickering.
>
> When you run with Terminal.app, does the code identified by Dmitrii as
> responsible for the flickering (in scroll.c) get executed?

I haven't checked yet.  But...

Dmitrii, could you please check if something changes when you set
baud-rate?  I can't see flickering in alacritty, when I

(setq baud-rate 1000000)

but it's kind of hard to reproduce anyway for me.